nbd_aio_is_ready(3)

NAME
nbd_aio_is_ready - check if the connection is in the ready state

SYNOPSIS
 #include <libnbd.h>

 int nbd_aio_is_ready (
       struct nbd_handle *h
     );

DESCRIPTION
Return true if this connection is connected to the NBD server, the handshake has completed, and the connection is idle or waiting for a reply. In this state the handle is ready to issue commands.

RETURN VALUE
This call returns a boolean value.

ERRORS
This function does not fail.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.0.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_AIO_IS_READY 1

SEE ALSO
nbd_create(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA